// ==UserScript==
// @name           zdnet.co.kr link
// @namespace      http://zckl/
// @include http://*.zdnet.co.kr/*
// @include http://zdnet.co.kr/*
// @description zdnet.co.kr 의 자바스크립트 링크를 일반 링크로 변경.
// @description http://wiki.kwonnam.pe.kr/userscripts/zdnetkr  
// ==/UserScript==

function addJQuery(callback) {
  var script = document.createElement("script");
  script.setAttribute("src", "http://ajax.googleapis.com/ajax/libs/jquery/1.4.4/jquery.min.js");
  script.addEventListener('load', function() {
    var script = document.createElement("script");
    script.textContent = "(" + callback.toString() + ")();";
    document.body.appendChild(script);
  }, false);
  document.body.appendChild(script);
}

// the guts of this userscript
function fixzdnetlinks() {
  $("a").each(function() {
      var link = $(this);
      var articlePattern = /javascript:ArticleRead\(\'([0-9]+)\'\)/g;

      var matches = articlePattern.exec(link.attr("href"));
      if (matches) {
        var articleId = matches[1];
        link.attr("href", "/ArticleView.asp?artice_id=" + articleId);
      }

  });

  // remove floating_ad
  $("#zdkr_adfloating_main").css("display","none");
}

// load jQuery and execute the main function
addJQuery(fixzdnetlinks);
